package com.ssj.service.conch.teacher.request.teacherorg;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

/**
 * @author Mount Liu
 * @date 2019/2/28
 */
public class SaveAnswerReq extends BaseRequest {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "problemId", value = "难题id", required = true)
    private String problemId;

    @ApiModelProperty(name = "content", value = "文字解答", required = false)
    private String content;

    @ApiModelProperty(name = "fileKeys", value = "图片路径list", required = false)
    private List<String> fileKeys;

    @ApiModelProperty(name = "voiceKeyList", value = "语音路径list", required = false)
    private List<Map<String, String>> voiceKeyList;

    @ApiModelProperty(name = "knowHowList", value = "知识点list", required = false)
    private List<Map<String, String>> knowHowList;

    public String getProblemId() {
        return problemId;
    }

    public void setProblemId(String problemId) {
        this.problemId = problemId;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<String> getFileKeys() {
        return fileKeys;
    }

    public void setFileKeys(List<String> fileKeys) {
        this.fileKeys = fileKeys;
    }

    public List<Map<String, String>> getVoiceKeyList() {
        return voiceKeyList;
    }

    public void setVoiceKeyList(List<Map<String, String>> voiceKeyList) {
        this.voiceKeyList = voiceKeyList;
    }

    public List<Map<String, String>> getKnowHowList() {
        return knowHowList;
    }

    public void setKnowHowList(List<Map<String, String>> knowHowList) {
        this.knowHowList = knowHowList;
    }
}
